## org.apache.aries.subsystem.core.internal
Class RegionContextBundleHelper

    java.lang.Object
      org.apache.aries.subsystem.core.internal.RegionContextBundleHelper

    public class RegionContextBundleHelper

extends Object

Field Summary
`static String` `SYMBOLICNAME_PREFIX`
`static org.osgi.framework.Version` `VERSION`

Constructor Summary
`RegionContextBundleHelper()`

Method Summary
`static void` `installRegionContextBundle(BasicSubsystem subsystem)`
`static void` `uninstallRegionContextBundle(BasicSubsystem subsystem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYMBOLICNAME_PREFIX

    public static final String SYMBOLICNAME_PREFIX

See Also:
  Constant Field Values

### VERSION

    public static final org.osgi.framework.Version VERSION

Constructor Detail

### RegionContextBundleHelper

    public RegionContextBundleHelper()

Method Detail

### installRegionContextBundle

    public static void installRegionContextBundle(BasicSubsystem subsystem)
                                           throws org.osgi.framework.BundleException,
                                                  IOException

  Throws:
    `org.osgi.framework.BundleException`
    `IOException`

### uninstallRegionContextBundle

    public static void uninstallRegionContextBundle(BasicSubsystem subsystem)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.